Botan 1.10.17

Public Member Functions | List of all members
Botan::Illegal_Transformation Struct Reference

`#include <point_gfp.h>`

Inheritance diagram for Botan::Illegal_Transformation:

## Public Member Functions
| Illegal_Transformation (const std::string &err="Requested transformation is not possible")

## Detailed Description

Exception thrown if you try to convert a zero point to an affine coordinate

Definition at line 22 of file point_gfp.h.

## Constructor & Destructor Documentation

## ◆ Illegal_Transformation()

Botan::Illegal_Transformation::Illegal_Transformation | ( | const std::string & | err = `"Requested transformation is not possible"` | ) |
| inline

Definition at line 24 of file point_gfp.h.

25 :
26 Exception(err) {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19

The documentation for this struct was generated from the following file:

- src/math/ec_gfp/point_gfp.h